class_name StandingEnemyBase
extends EnemyBase

@export var guard_position : Node2D

func _ready() -> void:
	enemy_behavior = get_node("StandingEnemyBehavior")
	if guard_position == null:
		printerr("No guard position assigned!")
	enemy_behavior.guard_position = guard_position
	super._ready()
